import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';
import 'package:flutter_svg/flutter_svg.dart';
import 'package:get/get.dart';

// import 'package:url_launcher/url_launcher.dart';

import '../../../core/constants/app_assets.dart';
import '../../../core/constants/translation_keys.dart';
import '../../../custom_widgets/custom_app_bar.dart';
import '../../../res/app_colors.dart';
import '../../../res/app_dimensions.dart';
import '../controllers/career_controller.dart';

class CareerView extends GetView<CareerController> {
  const CareerView({Key? key}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: DashBoardAppBar(
        title: TranslationKeys.makeTranslation(TranslationKeys.textCareer),
        onBackButtonPressed: () {
          Get.back();
        },
      ),
      body: Padding(
        padding: EdgeInsets.symmetric(vertical: AppDimensions.screenVerticalPadding, horizontal: AppDimensions.screenVerticalPadding),
        child: Column(
          children: [
            Expanded(
                child: ListView.builder(
              itemCount: 1,
              itemBuilder: (context, index) {
                return Padding(
                  padding: const EdgeInsets.symmetric(horizontal: 0.0, vertical: 3),
                  child: Card(
                    elevation: 3,
                    color: AppColors.colorGrey100,
                    shape: RoundedRectangleBorder(
                      borderRadius: BorderRadius.circular(10),
                    ),
                    child: Container(
                      decoration: BoxDecoration(color: AppColors.colorText.withOpacity(0.03), borderRadius: const BorderRadius.all(Radius.circular(50))),
                      child: Padding(
                        padding: const EdgeInsets.symmetric(vertical: 15, horizontal: 15),
                        child: Column(
                          crossAxisAlignment: CrossAxisAlignment.start,
                          children: [
                            Row(
                              crossAxisAlignment: CrossAxisAlignment.start,
                              children: [
                                Column(
                                  crossAxisAlignment: CrossAxisAlignment.start,
                                  children: [
                                    Column(
                                      children: [
                                        Image.asset(AppAssets.lg_mfsys, height: 25, width: 25),
                                      ],
                                    ),
                                  ],
                                ),
                                Padding(
                                  padding: const EdgeInsets.only(left: 8.0),
                                  child: Column(
                                    crossAxisAlignment: CrossAxisAlignment.start,
                                    children: [
                                      Text(TranslationKeys.makeTranslation(TranslationKeys.textJobTitle), style: Theme.of(context).textTheme.titleSmall),
                                      const SizedBox(height: 5),
                                      Text(TranslationKeys.makeTranslation(TranslationKeys.textOfficeAddress), style: Theme.of(context).textTheme.bodySmall),
                                      const SizedBox(height: 5),
                                      Text(TranslationKeys.makeTranslation(TranslationKeys.textJobSkills), style: Theme.of(context).textTheme.bodySmall),
                                    ],
                                  ),
                                ),
                              ],
                            ),
                            const SizedBox(height: 10),
                            Row(
                              mainAxisAlignment: MainAxisAlignment.end,
                              crossAxisAlignment: CrossAxisAlignment.end,
                              children: [
                                InkWell(
                                  onTap: (){
                                    // launch("mailto:info@mfsys.com.pk");
                                  },
                                  child: Container(
                                      padding: const EdgeInsets.symmetric(horizontal: 10.0, vertical: 3),
                                      decoration: BoxDecoration(
                                        border: Border.all(color: AppColors.colorPrimary),
                                        borderRadius: const BorderRadius.all(Radius.circular(5)),
                                      ),
                                      child: Text(TranslationKeys.makeTranslation(TranslationKeys.textApply), style: Theme.of(context).textTheme.bodySmall)),
                                ),
                              ],
                            ),
                          ],
                        ),
                      ),
                    ),
                  ),
                );
              },
            )),
          ],
        ),
      ),
    );
  }
}
